<?php
ini_set("memory_limit", "128M");
ini_set("max_execution_time", 3600);

require_once("/home/painelvideo/public_html/admin/inc/conecta.php");
require_once("/home/painelvideo/public_html/admin/inc/funcoes.php");

$inicio_execucao = tempo_execucao();

/////////////////////////////////////////////
/////////// Limpeza de Playlists ////////////
/////////////////////////////////////////////

echo "--------------------------------------------------------------------\n";
echo "-Executando limpeza de playlists...\n";
echo "--------------------------------------------------------------------\n";

$query_playlists = mysqli_query($conexao,"SELECT * FROM playlists");
while ($dados_playlist = mysqli_fetch_array($query_playlists)) {
	
	$verifica_stm = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM streamings where codigo = '".$dados_playlist["codigo_stm"]."'"));
	
	if($verifica_stm == 0) {
		mysqli_query($conexao,"Delete From playlists where codigo = '".$dados_playlist["codigo"]."'");
		mysqli_query($conexao,"Delete From playlists_videos where codigo_playlist = '".$dados_playlist["codigo"]."'");
	}

}

$query_playlists_musica = mysqli_query($conexao,"SELECT * FROM playlists_videos");
while ($dados_playlist_musica = mysqli_fetch_array($query_playlists_musica)) {

	$verifica_playlist = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM playlists where codigo = '".$dados_playlist_musica["codigo_playlist"]."'"));
	
	if($verifica_playlist == 0) {
		mysqli_query($conexao,"Delete From playlists_videos where codigo = '".$dados_playlist_musica["codigo"]."'");
	}

}

/////////////////////////////////////////////
////////////// Limpeza de Logs //////////////
/////////////////////////////////////////////

echo "--------------------------------------------------------------------\n";
echo "-Executando limpeza de logs...\n";
echo "--------------------------------------------------------------------\n";

$data_logs = date("Y-m-d",mktime (0, 0, 0, date("m")  , date("d")-180, date("Y")));
mysqli_query($conexao,"Delete From logs_streamings WHERE data < '".$data_logs."'");


/////////////////////////////////////////////
///////// Limpeza de Estatísticas ///////////
/////////////////////////////////////////////

echo "--------------------------------------------------------------------\n";
echo "-Executando limpeza de estatísticas...\n";
echo "--------------------------------------------------------------------\n";

$query_stats = mysqli_query($conexao,"SELECT * FROM estat�sticas");
while ($dados_stats = mysqli_fetch_array($query_stats)) {

	$verifica_stm = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM streamings where codigo = '".$dados_stats["codigo_stm"]."'"));

	if($verifica_stm == 0) {
		mysqli_query($conexao,"Delete From estatisticas where codigo = '".$dados_stats["codigo"]."'");
	}

}

// Remove os registros anteriores a 1 ano
$data_stats = date("Y-m-d",mktime (0, 0, 0, date("m")  , date("d")-365, date("Y")));
mysqli_query($conexao,"Delete From estatisticas WHERE data < '".$data_stats."'");


// Fim

$fim_execucao = tempo_execucao();

$tempo_execucao = number_format(($fim_execucao-$inicio_execucao),2);

echo "\n\n--------------------------------------------------------------------\n\n";
echo "Tempo de Execussão: ".$tempo_execucao." segundo(s);\n\n";
?>
